{...}: let
  host = "127.0.0.1";
  port = 6969;
in {
  imports = [./nginx.nix];
  services.forgejo = {
    enable = true;

    lfs.enable = true;
    database.type = "postgres";

    settings = {
      DEFAULT = {
        APP_NAME = "An idiot admires complexity. A genius admires simplicity";
      };

      repository = {
        ENABLE_PUSH_CREATE_USER = true;
      };

      server = {
        DOMAIN = "git.spoodythe.one";
        HTTP_PORT = port;
        ROOT_URL = "https://git.spoodythe.one";
      };

      service.DISABLE_REGISTRATION = true;
      actions = {
        ENABLED = true;
        DEFAULT_ACTIONS_URL = "https://code.forgejo.org";
      };
      federation.ENABLED = false;
    };
  };

  services.nginx.virtualHosts."git.spoodythe.one" = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://${host}:${toString port}";
      extraConfig = ''
        client_max_body_size 100M;
      '';
    };
  };
}
